package com.bcxin.ars.dto.sb;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.CyAssociation;

import java.util.List;

/**
 *保安协会管理
 * @author Ethan
 */
public class CyAssociationSearchDto extends SearchDto<CyAssociation> {

	private static final long serialVersionUID = 7649752662428917609L;

	List<CyAssociation> list;

	public List<CyAssociation> getList() {
		return list;
	}

	public void setList(List<CyAssociation> list) {
		this.list = list;
	}

	/**
	 * 用户ID
	 */
	private Long userid;

	public Long getUserid() {
		return userid;
	}

	public void setUserid(Long userid) {
		this.userid = userid;
	}

	/**
	 * 编号
	 */
	private String numno;

	/**
	 *名称
	 */
	private String name;

	/**
	 * 会长姓名
	 */
	private String hzName;

	/**
	 * 手机
	 */
	private String phone;

	/**
	 * 身份证号
	 */
	private String cardNumber;

	/**
	 * 地址
	 */
	private String address;

	/**
	 *成立日期
	 */
	private String establishDate;


	private String searchname;
	private String searchcardNumber;
	private String searchestablishDate;
	private String searchHzname;
	private String searchPhone;

	public String getSearchname() {
		return searchname;
	}

	public void setSearchname(String searchname) {
		this.searchname = searchname;
	}

	public String getSearchcardNumber() {
		return searchcardNumber;
	}

	public void setSearchcardNumber(String searchcardNumber) {
		this.searchcardNumber = searchcardNumber;
	}

	public String getSearchestablishDate() {
		return searchestablishDate;
	}

	public void setSearchestablishDate(String searchestablishDate) {
		this.searchestablishDate = searchestablishDate;
	}


	public String getSearchHzname() {
		return searchHzname;
	}

	public void setSearchHzname(String searchHzname) {
		this.searchHzname = searchHzname;
	}

	public String getSearchPhone() {
		return searchPhone;
	}

	public void setSearchPhone(String searchPhone) {
		this.searchPhone = searchPhone;
	}

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public String getNumno() {
		return numno;
	}

	public void setNumno(String numno) {
		this.numno = numno;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getHzName() {
		return hzName;
	}

	public void setHzName(String hzName) {
		this.hzName = hzName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getCardNumber() {
		return cardNumber;
	}

	public void setCardNumber(String cardNumber) {
		this.cardNumber = cardNumber;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getEstablishDate() {
		return establishDate;
	}

	public void setEstablishDate(String establishDate) {
		this.establishDate = establishDate;
	}
}
